=== debian/changelog ===
lenovolegionlinux (0.0.10+ds-2) unstable; urgency=medium

  * Fix handling upstream version.
  * Cleans better.
  * Fix installing ACPI files.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 17:53:22 +0100

lenovolegionlinux (0.0.10+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1065823)

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Mar 2024 17:55:37 +0100
