=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

include /usr/share/openstack-pkg-tools/pkgos.make

PYTHON3S:=$(shell py3versions -vr)

export UP_VERS=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~bpo.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' -e 's/+ds//' | head -n 1)

#export CFLAGS=-lrt

%:
	dh $@ --with python3 $(MAX_PARALLEL)

override_dh_auto_clean:
	rm -f $(CURDIR)/extra/service/legiond/legiond
	rm -f $(CURDIR)/extra/service/legiond/legiond-cli
	rm -f debian/lenovolegionlinux-dkms.dkms debian/lenovolegionlinux-dkms.postinst debian/lenovolegionlinux-dkms.prerm
	rm -rf python/legion_linux/build python/legion_linux/legion_linux.egg-info
	sed -i s/$(UP_VERS)/_VERSION/ python/legion_linux/setup.cfg
	dh_auto_clean

override_dh_auto_build:
	# Make versions:
	cp debian/lenovolegionlinux-dkms.dkms.in debian/lenovolegionlinux-dkms.dkms
	sed -i s/%%%VERSION%%%/$(UP_VERS)/g debian/lenovolegionlinux-dkms.dkms

	cp debian/lenovolegionlinux-dkms.postinst.in debian/lenovolegionlinux-dkms.postinst
	sed -i s/%%%VERSION%%%/$(UP_VERS)/g debian/lenovolegionlinux-dkms.postinst

	cp debian/lenovolegionlinux-dkms.prerm.in debian/lenovolegionlinux-dkms.prerm
	sed -i s/%%%VERSION%%%/$(UP_VERS)/g debian/lenovolegionlinux-dkms.prerm

	$(MAKE) -C $(CURDIR)/extra/service/legiond
	sed -i s/_VERSION/$(UP_VERS)/ python/legion_linux/setup.cfg
	dh_auto_build

override_dh_auto_install:
	# The DKMS stuff
	mkdir -p $(CURDIR)/debian/lenovolegionlinux-dkms/usr/src/legion-laptop-$(UP_VERS)
	cp -a kernel_module/Makefile kernel_module/*.c debian/lenovolegionlinux-dkms/usr/src/legion-laptop-$(UP_VERS)
#	rm -rf $(CURDIR)/debian/lenovolegionlinux-dkms/usr/src/Lenovo*
#	cp debian/lenovolegionlinux-dkms.dkms debian/lenovolegionlinux-dkms/usr/src/legion-laptop-$(UP_VERS)/dkms.conf

	# Python stuff
	set -e ; set -x ; cd python/legion_linux ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-legion-linux ; \
	done ; \
	cd $(CURDIR)

	dh_auto_install

override_dh_installsystemd:
	dh_installsystemd
	dh_installsystemd -p legiond --name=legiond-onresume
	dh_installsystemd -p legiond --name=legiond

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
