=== debian/changelog ===
lenovolegionlinux (0.0.16+ds-1) unstable; urgency=medium

  * Fixed d/watch.
  * New upstream release.
  * Use python3-pyqt6 as build-depends, not python3-pyqt5.
  * Add libinih-dev (>= 58) as build-depends.
  * Add add-ini.c.patch.
  * Do not install legiond-cli.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Aug 2024 17:01:18 +0200
