## lenovolegionlinux 0.0.18+ds

=== extra/service/legiond/Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
-CFLAGS ?= -Wall -O2
+CC ?= clang
+
+CFLAGS ?= -O2
+CFLAGS += -Wall -linih
 
 TARGET1 = legiond
-SOURCE1 = $(TARGET1).c
-TARGET2 = legiond-cli
+SOURCE1 = $(TARGET1).c modules/*.c
+TARGET2 = legiond-ctl
 SOURCE2 = $(TARGET2).c
 
 all: $(TARGET1) $(TARGET2)
