=== debian/changelog ===
lenovolegionlinux (0.0.18+ds-5) unstable; urgency=medium

  * Manually merge Andreas Beckmann's MR:
    - declare Rules-Requires-Root: no
    - simplify DKMS packaging in d/rules
    - let dh_dkms perform version substitution in dkms.conf
    - set BUILD_EXCLUSIVE_CONFIG="CONFIG_ACPI_PLATFORM_PROFILE CONFIG_ACPI_WMI"
  * Fix location of lenovolegionlinux-sound script.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Dec 2024 15:23:01 +0100

lenovolegionlinux (0.0.18+ds-4) unstable; urgency=medium

  * Add a new lenovolegionlinux-sound package, for TI speaker's init at boot.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Dec 2024 14:01:48 +0100

lenovolegionlinux (0.0.18+ds-3) unstable; urgency=medium

  * Also package /usr/bin/legiond-ctl.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Dec 2024 13:36:00 +0100

lenovolegionlinux (0.0.18+ds-2) unstable; urgency=medium

  * Remove python3-legion-linux.service, as /usr/bin/fancurve-set doesn't
    exist anymore.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Dec 2024 13:06:02 +0100

lenovolegionlinux (0.0.18+ds-1) unstable; urgency=medium

  * New upstream releaes.
  * Fixed python3-legion-linux.install.
  * Add Make-legion_remove-return-void-and-set-remove_new.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Nov 2024 15:04:48 +0100
