=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
  debhelper-compat (= 11),
  dh-python,
  dh-sequence-dkms,
- dkms,
+ libinih-dev (>= 58),
  lm-sensors,
  mokutil,
  openssl,
  openstack-pkg-tools,
  python3-all,
  python3-setuptools,
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/johnfanv2/LenovoLegionLinux
 Vcs-Browser: https://salsa.debian.org/debian/lenovolegionlinux
@@ -23,7 +24,7 @@
 Architecture: all
 Depends:
  python3-argcomplete,
- python3-pyqt5,
+ python3-pyqt6,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
@@ -36,7 +37,6 @@
  apply different profiles if the battery charge is plugged or not.
 
 Package: legiond
-Section: utils
 Architecture: amd64
 Depends:
  lenovolegionlinux-dkms,
@@ -65,7 +65,7 @@
   - ?: custom mode (pink)
  .
  It implements the usual hwmon interface to monitor fan speed and temmperature
- and allows to set the fan curve inside the firware.
+ and allows one to set the fan curve inside the firware.
  .
  - /sys/class/hwmon/X/fan1_input or /sys/class/hwmon/X/fan2_input (ro)
    Current fan speed of fan1/fan2.
@@ -78,3 +78,17 @@
  - /sys/class/hwmon/X/pwmY_auto_pointZ_temp_hyst (rw) hysteris (CPU, GPU, or
  IC) at the Y-level in the fan curve. The lower temperatue of the level is the
  upper temperature minus the hysteris.
+
+Package: lenovolegionlinux-sound
+Architecture: amd64
+Depends:
+ ${misc:Depends},
+Description: script to initialize TI speaker at boot
+ This package provides a script to initialize TI (Texas Instrument) speakers
+ firmware of some Legion Lenovo laptops. For it to work, one needs to first
+ download TI's firmware and install it as /lib/firmware/TAS2XXX38*.bin, as the
+ kernel module needs it. Also, in Debian systems, only Linux kernel >= 6.10
+ contain the necessary kernel module for these speakers.
+ .
+ Note that I wrote this script for my own laptop, a Legion 7 Pro 82WS. The
+ initialization script may differ if using a different model.
