## lenovolegionlinux 0.0.19+git2025-02-20.43f2ad0e+ds

=== debian/changelog ===
lenovolegionlinux (0.0.19+git2025-02-20.43f2ad0e+ds-0.2ubuntu1) plucky; urgency=medium

  * Fix Linux 6.14 build (LP: #2101946)

 -- Agathe Porte <agathe.porte@canonical.com>  Tue, 11 Mar 2025 10:57:28 +0100

lenovolegionlinux (0.0.19+git2025-02-20.43f2ad0e+ds-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to unstable.

 -- Agathe Porte <gagath@debian.org>  Mon, 03 Mar 2025 09:11:48 +0100

lenovolegionlinux (0.0.19+git2025-02-20.43f2ad0e+ds-0.1) unstable; urgency=medium

  [ Agathe Porte ]
  * Non-maintainer upload
  * New upstream version 0.0.19+git2025-02-20.43f2ad0e+ds (Closes: #1098642)
  * Move lenovolegionlinux-dkms to main (Closes: #1070824)

  [ Andreas Beckmann ]
  * dkms.conf: Set BUILD_EXCLUSIVE_KERNEL_MIN="6.3"
  * Restrict autopkgtest-pkg-dkms to amd64

 -- Agathe Porte <gagath@debian.org>  Fri, 28 Feb 2025 14:32:13 +0100

lenovolegionlinux (0.0.19+ds-1) unstable; urgency=medium

  * New upstream release.
  * Removed Make-legion_remove-return-void-and-set-remove_new.patch applied
    upstream.
  * Also package profile files into /etc/legion_linux.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Dec 2024 23:37:14 +0100
