=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lenovolegionlinux
 Section: utils
 Priority: optional
-Maintainer: Thomas Goirand <zigo@debian.org>,
+Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
@@ -49,7 +50,7 @@
  the lenovolegionlinux-dkms package, and perform on-resume operations.
 
 Package: lenovolegionlinux-dkms
-Section: contrib/kernel
+Section: kernel
 Architecture: amd64
 Depends:
  ${misc:Depends},
