## lenovolegionlinux 0.0.20%2Bds

=== debian/changelog ===
lenovolegionlinux (0.0.20+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1114165)
  * python3-legion-linux: Add the missing dependency on pkexec.
    (Closes: #1106493)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Oct 2025 16:53:20 +0300

lenovolegionlinux (0.0.20+ds-1) unstable; urgency=medium

  * New upstream release.
  * Fixed maintainer field.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2025 09:58:08 +0200
