=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lenovolegionlinux
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Goirand <zigo@debian.org>,
+Maintainer: Thomas Goirand <zigo@debian.org>
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
@@ -24,6 +23,7 @@
 Package: python3-legion-linux
 Architecture: all
 Depends:
+ pkexec,
  python3-argcomplete,
  python3-pyqt6,
  python3-yaml,
