=== debian/watch ===
version=3
opts="repacksuffix=+ds,\
dversionmangle=s/\+ds$//,\
mode=git,\
uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/-prerelease/~prerelease/" \
https://github.com/johnfanv2/LenovoLegionLinux refs/tags/v(\d[brc\d\.]+) \
debian debian/repack
